Bug 825879 - gimp File->Create dialogs dont have focus
gimp File->Create dialogs dont have focus
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 18:38 EDT by Jason Farrell
Modified: 2013-08-01 13:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:53:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 688239 None None None 2012-11-13 06:29:29 EST

  None (edit)
Description Jason Farrell 2012-05-28 18:38:11 EDT
In gimp-2.8.0-1.fc17.x86_64 when choosing File->Create->Logos->Neon (for example), the dialog that pops up doesn't have focus, so you can't simply hit enter to create, or Escape to cancel. This is unlike just about every other dialog.

Same goes for:
  File->Create->Buttons, Logos, Patterns, Web Page Themes
and maybe others.

(And, btw, it doesn't matter if gimp is the new single-window mode or not.)
Comment 1 Nils Philippsen 2012-05-29 07:35:26 EDT
What desktop environment/window manager do you use?

Can you reproduce this issue if you start GIMP from the command line?
Comment 2 Jason Farrell 2012-05-29 08:18:42 EDT
(In reply to comment #1)
> What desktop environment/window manager do you use?
The default F17 Gnome desktop (after many years of XFCE)

> Can you reproduce this issue if you start GIMP from the command line?

Great insight there. I can't reproduce this if I start gimp from the cmdline or from the alt-f2 run dialog; it's only reproducible when gimp is run from the gnome shell menu.
Comment 3 Nils Philippsen 2012-05-29 10:34:14 EDT
(In reply to comment #2)
> (In reply to comment #1)
[...]
> > Can you reproduce this issue if you start GIMP from the command line?
> 
> Great insight there. I can't reproduce this if I start gimp from the cmdline
> or from the alt-f2 run dialog; it's only reproducible when gimp is run from
> the gnome shell menu.

Further testing let me reproduce this when attempting this again, i.e. only the first dialog window would be focused properly. Strange.
Comment 4 Nils Philippsen 2012-11-13 06:29:29 EST
I've submitted this to upstream: https://bugzilla.gnome.org/show_bug.cgi?id=688239
Comment 5 Fedora End Of Life 2013-07-04 02:22:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 13:53:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.